Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 20 Oct 2017, 08:35
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
StretchDog
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Author Message
fredx181


Joined: 11 Dec 2013
Posts: 2518
Location: holland

PostPosted: Tue 10 Oct 2017, 17:32    Post subject:  StretchDog
Subject description: 32 bit and 64 bit ISO's
 

*** StretchDog 32 and 64-bit ***

StretchDog is a variant of DebianDog (Info and credits) based on Debian 9 "Stretch"

Built from scratch by using debootstrap, see also Here and Here

StretchDog page on Dog Linux website
Packages overview from custom repository
StretchDog at Github

Login details:
root with password root
puppy with password puppy

Specifications:
Kernel: 4.9.0-3 (alternative kernel when having trouble booting, see Here)
Choice of Boot Methods: porteus-boot and live-boot v3 (see for options Here)
Default WM - OpenBox with on top xfce4-panel and xfdesktop.
Option to switch to JWM window-manager
Menu on Openbox_Xfce is (a modified/hacked Smile ) Whisker-Menu
Default File Manager - Thunar with option to use rox.
Default Internet Browser - Firefox.
(extra repositories included for seamonkey and google-chrome (google-chrome for 64-bit only))
Seamonkey package name is "seamonkey-mozilla-build"

Download:

Iso 32 bit: StretchDog32-openbox_xfce-jwm-2017-10-10.iso Size: 242MB
Md5sum: StretchDog32-openbox_xfce-jwm-2017-10-10.md5

Iso 64 bit: StretchDog64-openbox_xfce-jwm-2017-10-10.iso Size: 256MB
Md5sum: StretchDog64-openbox_xfce-jwm-2017-10-10.md5

Mirrors (thanks to ally !):
https://archive.org/download/Puppy_Linux_StretchDog32/StretchDog32-openbox_xfce-jwm-2017-10-10.iso
https://archive.org/download/Puppy_Linux_StretchDog64/StretchDog64-openbox_xfce-jwm-2017-10-10.iso

DEVX and Firmware squashfs modules: Here

Locales: 099-locales-stretch.squashfs
(Locale can be set from Menu > System > Set Locale/Language)

Some links to useful info:
WiFi Firmware
3D graphics acceleration
Installing Brother printers in Stretch-Live-64bit
Problem changing brightness, solved
How to Install the NVIDIA Video Driver in Stretch-Live
Package of SANE scanner backends
pet2stretch
Isobooter designed for Stretch-Live
Whisker Menu modified

Thanks very much to everyone who has been involved with DebianDog, specially Toni (saintless), William (mcewanw), Terry (sunburnt), dancytron, belham2, rcrsn51, wiak, jd7654, backi, AndresC2, peebee and all who helped by giving feedback on the DebianDog threads.

Fred

Screenshots:

Openbox with xfce4


JWM

Last edited by fredx181 on Sun 15 Oct 2017, 04:59; edited 9 times in total
Back to top
View user's profile Send private message 
ally


Joined: 19 May 2012
Posts: 1523
Location: lincoln, uk

PostPosted: Tue 10 Oct 2017, 17:52    Post subject:  

mirrored here: http://archive.org/details/Puppy_Linux_StretchDog64

and here: http://archive.org/details/Puppy_Linux_StretchDog32

Smile
Back to top
View user's profile Send private message Visit poster's website 
fredx181


Joined: 11 Dec 2013
Posts: 2518
Location: holland

PostPosted: Tue 10 Oct 2017, 17:57    Post subject:  

Wow! you are fast! Thanks ally Smile
_________________
Dog Linux website

Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2518
Location: holland

PostPosted: Wed 11 Oct 2017, 05:56    Post subject:  

For those having trouble booting with kernel 4.9, here's alternative (32 bit only), not ofiicial Debian though.
Extract This archive: kernel-4.4.87-i386.squashfs.tar.gz in the frugal installed 'live' directory.
Contents are vmlinuz1 (should be replaced) and kernel-4.4.87.squashfs
And it should boot with with kernel 4.4.87
Taken from OscarTalks's D-pup-Stretch (thanks!).

Fred
Back to top
View user's profile Send private message 
anikin

Joined: 10 May 2012
Posts: 956

PostPosted: Wed 11 Oct 2017, 12:49    Post subject:  

Now there are total 3 (three) Dog Stretch threads on this forum and countless other Debian/UbuntuDog offsprings out there. This latest Dog endeavor could have easily been consolidated into an existing thread!
stretched_too_far.jpeg
 Description   
 Filesize   53.74 KB
 Viewed   1225 Time(s)

stretched_too_far.jpeg

Back to top
View user's profile Send private message 
AbdelAziz


Joined: 29 May 2013
Posts: 14
Location: Algeria

PostPosted: Thu 12 Oct 2017, 08:56    Post subject:  

Overall, it's a nice dog Smile
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1304
Location: GERMANY

PostPosted: Thu 12 Oct 2017, 14:59    Post subject:  

Cool Job Fred !

You make the whole crowd happy/smile once again Very Happy Very Happy Very Happy.
Who could ask for more ?
Thank you !
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 4715
Location: Ontario

PostPosted: Sat 14 Oct 2017, 12:07    Post subject: uextract 3.30  

I noticed that there was a uextract package in 32 bit section

https://fredx181.github.io/StretchDog/i386/Packages/Extra/uextract_1.0.1_i386.deb

.... but none in 64bit section

So I made my own.
Available download...

uextract_3.30_amd64.deb
https://drive.google.com/open?id=0B7JZA8XWblrScF93ODVOR1NRLTA
____________________________________________
Back to top
View user's profile Send private message 
belham2

Joined: 15 Aug 2016
Posts: 1156

PostPosted: Sat 14 Oct 2017, 12:12    Post subject: Re: uextract 3.30  

don570 wrote:
I noticed that there was a uextract package in 32 bit section

https://fredx181.github.io/StretchDog/i386/Packages/Extra/uextract_1.0.1_i386.deb

.... but none in 64bit section

So I made my own.
Available download...

uextract_3.30_amd64.deb
https://drive.google.com/open?id=0B7JZA8XWblrScF93ODVOR1NRLTA
____________________________________________



Huh??

Don570, I've been installing UExtract (just the one and only latest .pet SFR releases every so often) into both 32-bit and 64-bit for a few years. I don't get it, I've never had a problem in any 32 and/or 64 bit OS, pup, ddog, or otherwise using the one & only .pet SFR releases (and updates). What would your .pet do that I am not already getting? Jeez, I am really, really confused now because SFR explained to me long ago that it didn't matter for his UExtract pet (they install both to 32 ans 64 bit equally) since UExtract is a script.
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 4715
Location: Ontario

PostPosted: Sat 14 Oct 2017, 12:32    Post subject:  

Quote:
they install both to 32 ans 64 bit equally)


Yes. What I meant to say is that I installed the 64bit AMD stretch dog
and expected the packages available to be listed in 64 bit section.
Other distros get around this with a 'common' section
____________________________________________________

I liked how it played back media files. No strange artifacts and very smooth.
The audio was low when first installed, but easy enough to increase.

______________________________________________________________
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 4715
Location: Ontario

PostPosted: Sat 14 Oct 2017, 13:15    Post subject:  

Some more observations.
Wacom Bamboo tablet worked at start up. There was no need for
xorg.conf file.

When I tried to install a mypaint appimage that I got from
https://travis-ci.org/mypaint/mypaint

It wouldn't run. The error mentioned that the icons were missing.
This is a common error and has been written about.

https://github.com/mypaint/mypaint/wiki/FAQ-Missing-icons
______________________________________________

I tried the latest stable version of Blender 3-d graphics
https://www.blender.org/download/Blender2.79/blender-2.79-linux-glibc219-x86_64.tar.bz2/

However It wouldn't run because openGL 2.1 isn't installed
I checked the dependencies....
Code:
libGLU.so.1 => not found
   libGL.so.1 => /usr/lib/x86_64-linux-gnu/libGL.so.1 (0x00007f09d1f88000)


_______________________________________________

pfind doesn't work very well , so I looked into why it wasn't searching the right drives.

I suggest the following change....

in the file
/usr/local/pfind/pfilesearch/pfilesearch
line 654
Code:
export EXCLUDE="/mnt"


should be change to
Code:
export EXCLUDE=""

_____________________________________________

To get pfind to 'Show location' which is very useful...
pfind needs the right filemanager, so I made the change
in /usr/local/pfind/func_showlocation

I changed
Code:
if [ $FILEMANAGER = rox ]; then

   else
      exec $FILEMANAGER "${FILE%/*}/" 2> /tmp/pfind-error$PROGPID
   fi



to simply...

Code:
exec rox -s "$FILE" 2> /tmp/pfind-error$PROGPID



Thunar could be used as well but I like rox.
______________________________________
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 2518
Location: holland

PostPosted: Sat 14 Oct 2017, 13:19    Post subject:  

Hi don570, belham2

Quote:
I noticed that there was a uextract package in 32 bit section

https://fredx181.github.io/StretchDog/i386/Packages/Extra/uextract_1.0.1_i386.deb

.... but none in 64bit section

So I made my own.
Available download...

uextract_3.30_amd64.deb
https://drive.google.com/open?id=0B7JZA8XWblrScF93ODVOR1NRLTA


Yes, forgot to add to 64-bit repo.
Added your .deb now and can be installed with Synaptic or apt-get, thanks Don570 !:
https://fredx181.github.io/StretchDog/amd64/Packages/Extra/uextract_3.30_amd64.deb
Indeed, as it's just a script it could be: uextract_3.30_all.deb, to be suitable for both/all architectures, but kept it like it is now to avoid too many changes.

EDIT:
Quote:
I tried the latest stable version of Blender 3-d graphics
https://www.blender.org/download/Blender2.79/blender-2.79-linux-glibc219-x86_64.tar.bz2/

However It wouldn't run because openGL 2.1 isn't installed
I checked the dependencies....
...


Try installing package "libgl1-mesa-dri" , see also here:
http://murga-linux.com/puppy/viewtopic.php?p=965414#965414

Thanks for your recommendations for pfind.

Fred

Last edited by fredx181 on Sat 14 Oct 2017, 13:41; edited 2 times in total
Back to top
View user's profile Send private message 
anikin

Joined: 10 May 2012
Posts: 956

PostPosted: Sat 14 Oct 2017, 13:22    Post subject:  

don570 wrote:
Quote:
they install both to 32 ans 64 bit equally)

Yes. What I meant to say is that I installed the 64bit AMD stretch dog
and expected the packages available to be listed in 64 bit section.
Other distros get around this with a 'common' section...


No, they don't install equally and both DDog's and don570's uextract debs are flawed as they don't comply with the Debian package building guidelines
Debian Binary Package Building HOWTO wrote:
4.1. control

Let's start with the control file. The version number must have a dash with an additional Debian package version number, e.g. '1.1-1'. If your program consists e.g. only of portable shell scripts, use 'all' as its 'Architecture'.
read more here:
http://www.tldp.org/HOWTO/html_single/Debian-Binary-Package-Building-HOWTO/#AEN92
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 4715
Location: Ontario

PostPosted: Sat 14 Oct 2017, 14:08    Post subject:  

Yes. Poorly named.
Also I found out that official pet packages need to be carefully named.
For instance BarryK wants underscore in front of NLS like
mtpaint_NLS-3.40-1-w5c.pet
Back to top
View user's profile Send private message 
ethplorer

Joined: 21 Apr 2017
Posts: 17

PostPosted: Mon 16 Oct 2017, 02:30    Post subject:  

what should be my parameter when doing frugal install to this stretchdog?

Code:
title StretchDog
root (hd0,0) <-- GRUB legacy, ex: hd1,0
uuid ed652e03-dfdg35647eswe32467348161af0
kernel /stretch/live/vmlinuz
initrd /stretch/live/initrd.img


tried this but not working.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2439s ][ Queries: 12 (0.0255s) ][ GZIP on ]